### Method

# EDataServer SourceSMIME get_sign_by_default

since: 3.6

#### Declaration [src]

    gboolean
    e_source_smime_get_sign_by_default (
      ESourceSMIME* extension
    )

#### Description [src]

Returns whether to digitally sign outgoing messages by default using S/MIME software such as Mozilla Network Security Services (NSS).

Available since: 3.6

Gets property | `EDataServer.SourceSMIME:sign-by-default`

#### Return value

Type: `gboolean`

Whether to sign outgoing messages by default.